org.eclipse.emf.cdo.spi.server

## Interface InternalCommitManager

-     public interface InternalCommitManager

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `InternalCommitContext` | `get(InternalTransaction transaction)`
    `InternalRepository` | `getRepository()`
    `void` | `preCommit(InternalCommitContext commitContext, CDODataInput in, OMMonitor monitor)` Create a future to execute commitContext in a different thread.
    `void` | `preCommit(InternalCommitContext commitContext, OMMonitor monitor)` Deprecated. As of 4.5 use `preCommit(InternalCommitContext, CDODataInput, OMMonitor)`.
    `void` | `remove(InternalCommitContext commitContext)` Called after a commitContext is done successfully or not.
    `void` | `rollback(InternalCommitContext commitContext)`
    `void` | `setRepository(InternalRepository repository)`
    `void` | `waitForTermination(InternalTransaction transaction)` Waiting for a commit to be done.

- - ### Method Detail

    - #### getRepository

          InternalRepository getRepository()

    - #### setRepository

          void setRepository(InternalRepository repository)

    - #### preCommit

          @Deprecated
          void preCommit(InternalCommitContext commitContext,
                                      OMMonitor monitor)

      Deprecated. As of 4.5 use `preCommit(InternalCommitContext, CDODataInput, OMMonitor)`.
      Create a future to execute commitContext in a different thread.

    - #### preCommit

          void preCommit(InternalCommitContext commitContext,
                         CDODataInput in,
                         OMMonitor monitor)

      Create a future to execute commitContext in a different thread.
      Since:
        4.5

    - #### remove

          void remove(InternalCommitContext commitContext)

      Called after a commitContext is done successfully or not.

    - #### rollback

          void rollback(InternalCommitContext commitContext)

    - #### waitForTermination

          void waitForTermination(InternalTransaction transaction)
                           throws InterruptedException,
                                  ExecutionException

      Waiting for a commit to be done.
      Throws:
        `InterruptedException`
        `ExecutionException`

    - #### get

          InternalCommitContext get(InternalTransaction transaction)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html